//
//  ViewController.m
//  Picker
//
//  Created by nyuguest on 8/9/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "ViewController.h"
#import "View.h"

@interface ViewController ()
@end

@implementation ViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
		a = [NSArray arrayWithObjects:

			//component 0
			[NSArray arrayWithObjects:
				@"Mobile",
				@"Anchorage",
				@"Phoenix",
				@"Little Rock",
				@"Los Angeles",
				@"Denver",
				@"New Haven",
				@"Wilmington",
				@"Miami",
				@"Atlanta",
				@"Honolulu",
				@"Boise",
				nil
			],

			//component 1
			[NSArray arrayWithObjects:
				@"Alabama",
				@"Alaska",
				@"Arizona",
				@"Arkansas",
				@"California",
				@"Colorado",
				@"Connecticut",
				@"Delaware",
				@"Florida",
				@"Georgia",
				@"Hawaii",
				@"Idaho",
				@"Illinois",
				@"Indiana",
				@"Iowa",
				@"Kansas",
				@"Kentucky",
				@"Louisiana",
				@"Maine",
				@"Maryland",
				@"Massachusetts",
				@"Michigan",
				@"Minnesota",
				@"Mississippi",
				@"Missouri",
				@"Montana",
				@"Nebraska",
				@"Nevada",
				@"New Hampshire",
				@"New Jersey",
				@"New Mexico",
				@"New York",
				@"North Carolina",
				@"North Dakota",
				@"Ohio",
				@"Oklahoma",
				@"Oregon",
				@"Pennsylvania",
				@"Rhode Island",
				@"South Carolina",
				@"South Dakota",
				@"Tennessee",
				@"Texas",
				@"Utah",
				@"Vermont",
				@"Virginia",
				@"Washington",
				@"West Virginia",
				@"Wisconsin",
				@"Wyoming",
				nil
			],

			nil
		];
	}
	return self;
}

#pragma mark -
#pragma mark view lifecycle

- (void) loadView
{
	CGRect frame = [UIScreen mainScreen].bounds;
	self.view = [[View alloc] initWithFrame: frame viewController: self];
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

#pragma mark -
#pragma mark protocol UIPickerViewDataSource

- (NSInteger) numberOfComponentsInPickerView: (UIPickerView *) pickerView
{
	return a.count;
}


- (NSInteger) pickerView: (UIPickerView *) pickerView numberOfRowsInComponent: (NSInteger) component
{
	NSArray *column = [a objectAtIndex: component];
	return column.count;
}

#pragma mark -
#pragma mark protocol UIPickerViewDelegate

- (NSString *) pickerView: (UIPickerView *) pickerView titleForRow: (NSInteger) row forComponent: (NSInteger) component
{
	NSArray *c = [a objectAtIndex: component];
	return [c objectAtIndex: row];
}

//Called when the user makes a selection.

- (void) pickerView: (UIPickerView *) pickerView didSelectRow: (NSInteger) row inComponent: (NSInteger) component
{
	//Don't let the user select New Jersey.  Go to New York instead.
	//Two NSStrings can be compared with the method isEqualToString:.
	NSString *title = [self pickerView: pickerView titleForRow: row forComponent: component];
	if ([title isEqualToString: @"New Jersey"]) {
		[pickerView selectRow: row + 2 inComponent: component animated: YES];
	}

	//Two numbers can be compared with the == operator.
	if ([pickerView selectedRowInComponent: 0] == [pickerView selectedRowInComponent: 1]) {
		self.view.backgroundColor = [UIColor greenColor];
	} else {
		self.view.backgroundColor = [UIColor redColor];
	}
}

@end
